import { MarkModel } from './MarkModel';
export interface BarGroupValue {
    index: number;
    subIndex: number;
    y0: number;
    y1: number;
    x: number;
    y: number;
    colorIndex: number;
    opacityIndex: number;
    color: string;
}
export interface BarData {
    key: number;
    values: BarGroupValue[];
    posMax: number;
    negMax: number;
}
export declare class BarsModel extends MarkModel {
    defaults(): {
        _model_name: string;
        _view_name: string;
        x: any[];
        y: any[];
        color: any;
        scales_metadata: {
            x: {
                orientation: string;
                dimension: string;
            };
            y: {
                orientation: string;
                dimension: string;
            };
            color: {
                dimension: string;
            };
        };
        color_mode: string;
        opacity_mode: string;
        type: string;
        colors: string[];
        padding: number;
        fill: boolean;
        stroke: any;
        stroke_width: number;
        base: number;
        opacities: any[];
        orientation: string;
        align: string;
        label_display: boolean;
        label_display_format: string;
        label_display_font_style: {};
        label_display_horizontal_offset: number;
        label_display_vertical_offset: number;
        _model_module: string;
        _view_module: string;
        _model_module_version: string;
        _view_module_version: string;
        scales: {};
        preserve_domain: {};
        display_legend: boolean;
        labels: any[];
        apply_clip: boolean;
        visible: boolean;
        selected_style: {};
        unselected_style: {};
        selected: any;
        enable_hover: boolean;
        tooltip: any;
        tooltip_style: {
            opacity: number;
        };
        interactions: {
            hover: string;
        };
        tooltip_location: string;
    };
    initialize(attributes: any, options: any): void;
    update_data(): void;
    get_data_dict(data: any, index: any): any;
    update_color(): void;
    update_domains(): void;
    static serializers: {
        x: {
            deserialize: (data: any, manager: any) => any;
            serialize: (data: any, manager: any) => any;
        };
        y: {
            deserialize: (data: any, manager: any) => any;
            serialize: (data: any, manager: any) => any;
        };
        color: {
            deserialize: (data: any, manager: any) => any;
            serialize: (data: any, manager: any) => any;
        };
        scales: {
            deserialize: typeof import("@jupyter-widgets/base").unpack_models;
        };
        tooltip: {
            deserialize: typeof import("@jupyter-widgets/base").unpack_models;
        };
        selected: {
            deserialize: (data: any, manager: any) => any;
            serialize: (data: any, manager: any) => any;
        };
    };
    yIs2d: boolean;
    baseValue: number;
    mark_data: BarData[];
}
