"use strict";
/* Copyright 2015 Bloomberg Finance L.P.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.isColorScale = exports.ColorScale = void 0;
const d3 = __importStar(require("d3"));
// var d3 =Object.assign({}, require("d3-scale"));
const Scale_1 = require("./Scale");
class ColorScale extends Scale_1.Scale {
    render() {
        this.create_d3_scale();
        this.update_extrapolation();
        if (this.model.domain.length > 0) {
            this.scale.domain(this.model.domain);
        }
        this.offset = 0;
        this.create_event_listeners();
        this.set_range();
    }
    create_d3_scale() {
        this.scale = d3.scaleLinear();
    }
    create_event_listeners() {
        super.create_event_listeners();
        this.listenTo(this.model, 'colors_changed', this.set_range);
        this.model.on('change:extrapolation', function () {
            this.update_extrapolation();
            this.trigger('color_scale_range_changed');
        }, this);
    }
    update_extrapolation() {
        this.scale.clamp(this.model.get('extrapolation') === 'constant');
    }
    set_range() {
        this.scale.range(this.model.color_range);
        this.trigger('color_scale_range_changed');
    }
}
exports.ColorScale = ColorScale;
function isColorScale(scale) {
    return scale.model.type === 'color_linear';
}
exports.isColorScale = isColorScale;
//# sourceMappingURL=ColorScale.js.map