import * as widgets from '@jupyter-widgets/base';
export declare class FigureModel extends widgets.DOMWidgetModel {
    defaults(): {
        _model_name: string;
        _view_name: string;
        _model_module: string;
        _view_module: string;
        _model_module_version: string;
        _view_module_version: string;
        title: string;
        axes: any[];
        marks: any[];
        interaction: any;
        scale_x: any;
        scale_y: any;
        title_style: {};
        background_style: {};
        legend_style: {};
        legend_text: {};
        theme: string;
        min_aspect_ratio: number;
        max_aspect_ratio: number;
        pixel_ratio: any;
        fig_margin: {
            top: number;
            bottom: number;
            left: number;
            right: number;
        };
        padding_x: number;
        padding_y: number;
        legend_location: string;
        animation_duration: number;
    };
    initialize(attributes: any, options: any): void;
    handle_custom_messages(msg: any): void;
    save_png(): void;
    static serializers: {
        marks: {
            deserialize: typeof widgets.unpack_models;
        };
        axes: {
            deserialize: typeof widgets.unpack_models;
        };
        interaction: {
            deserialize: typeof widgets.unpack_models;
        };
        scale_x: {
            deserialize: typeof widgets.unpack_models;
        };
        scale_y: {
            deserialize: typeof widgets.unpack_models;
        };
        layout: {
            deserialize: typeof widgets.unpack_models;
        };
    };
}
