"use strict";
/* Copyright 2015 Bloomberg Finance L.P.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.FigureModel = void 0;
const widgets = __importStar(require("@jupyter-widgets/base"));
const version_1 = require("./version");
class FigureModel extends widgets.DOMWidgetModel {
    defaults() {
        return Object.assign(Object.assign({}, widgets.DOMWidgetModel.prototype.defaults()), { _model_name: 'FigureModel', _view_name: 'Figure', _model_module: 'bqplot', _view_module: 'bqplot', _model_module_version: version_1.semver_range, _view_module_version: version_1.semver_range, title: '', axes: [], marks: [], interaction: null, scale_x: undefined, scale_y: undefined, title_style: {}, background_style: {}, legend_style: {}, legend_text: {}, theme: 'classic', min_aspect_ratio: 0.01, max_aspect_ratio: 100, pixel_ratio: null, fig_margin: {
                top: 60,
                bottom: 60,
                left: 60,
                right: 60,
            }, padding_x: 0.0, padding_y: 0.025, legend_location: 'top-right', animation_duration: 0 });
    }
    initialize(attributes, options) {
        super.initialize(attributes, options);
        this.on('msg:custom', this.handle_custom_messages, this);
    }
    handle_custom_messages(msg) {
        if (msg.type === 'save_png') {
            this.trigger('save_png', msg.filename, msg.scale);
        }
        else if (msg.type === 'save_svg') {
            this.trigger('save_svg', msg.filename);
        }
        else if (msg.type === 'upload_png') {
            this.trigger('upload_png', this, msg.scale);
        }
    }
    save_png() {
        // TODO: Any view of this Figure model will pick up this event
        // and render a png. Remove this eventually.
        this.trigger('save_png');
    }
}
exports.FigureModel = FigureModel;
FigureModel.serializers = Object.assign(Object.assign({}, widgets.DOMWidgetModel.serializers), { marks: { deserialize: widgets.unpack_models }, axes: { deserialize: widgets.unpack_models }, interaction: { deserialize: widgets.unpack_models }, scale_x: { deserialize: widgets.unpack_models }, scale_y: { deserialize: widgets.unpack_models }, layout: { deserialize: widgets.unpack_models } });
//# sourceMappingURL=FigureModel.js.map