import { MarkModel } from './MarkModel';
export interface GridCellData {
    rowNum: number;
    row: number;
    column: number;
    columnNum: number;
    color: number;
    cellNum: number;
}
export declare enum AxisMode {
    Middle = 0,
    Boundaries = 1,
    ExpandOne = 2,
    ExpandTwo = 3
}
export declare class GridHeatMapModel extends MarkModel {
    defaults(): {
        _model_name: string;
        _view_name: string;
        row: any;
        column: any;
        color: any;
        scales_metadata: {
            row: {
                orientation: string;
                dimension: string;
            };
            column: {
                orientation: string;
                dimension: string;
            };
            color: {
                dimension: string;
            };
        };
        row_align: string;
        column_align: string;
        null_color: string;
        stroke: string;
        opacity: number;
        anchor_style: {};
        display_format: any;
        font_style: {};
        _model_module: string;
        _view_module: string;
        _model_module_version: string;
        _view_module_version: string;
        scales: {};
        preserve_domain: {};
        display_legend: boolean;
        labels: any[];
        apply_clip: boolean;
        visible: boolean;
        selected_style: {};
        unselected_style: {};
        selected: any;
        enable_hover: boolean;
        tooltip: any;
        tooltip_style: {
            opacity: number;
        };
        interactions: {
            hover: string;
        };
        tooltip_location: string;
    };
    initialize(attributes: any, options: any): void;
    update_data(): void;
    update_domains(): void;
    get_data_dict(data: any, index: any): any;
    get colors(): number[][];
    get rows(): number[];
    get columns(): number[];
    private identifyModes;
    static serializers: {
        row: {
            deserialize: (data: any, manager: any) => any;
            serialize: (data: any, manager: any) => any;
        };
        column: {
            deserialize: (data: any, manager: any) => any;
            serialize: (data: any, manager: any) => any;
        };
        color: {
            deserialize: (data: any, manager: any) => any;
            serialize: (data: any, manager: any) => any;
        };
        scales: {
            deserialize: typeof import("@jupyter-widgets/base").unpack_models;
        };
        tooltip: {
            deserialize: typeof import("@jupyter-widgets/base").unpack_models;
        };
        selected: {
            deserialize: (data: any, manager: any) => any;
            serialize: (data: any, manager: any) => any;
        };
    };
    modes: {
        column: AxisMode;
        row: AxisMode;
    };
    mark_data: GridCellData[];
}
