"use strict";
/* Copyright 2015 Bloomberg Finance L.P.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ImageModel = void 0;
const widgets = __importStar(require("@jupyter-widgets/base"));
const MarkModel_1 = require("./MarkModel");
const serialize = __importStar(require("./serialize"));
class ImageModel extends MarkModel_1.MarkModel {
    defaults() {
        return Object.assign(Object.assign({}, MarkModel_1.MarkModel.prototype.defaults()), { _model_name: 'ImageModel', _view_name: 'Image', pixelated: false, x: [0.0, 1.0], y: [0.0, 1.0], scales_metadata: {
                x: { orientation: 'horizontal', dimension: 'x' },
                y: { orientation: 'vertical', dimension: 'y' },
            } });
    }
    initialize(attributes, options) {
        super.initialize(attributes, options);
        this.on_some_change(['x', 'y'], this.update_data, this);
        this.on_some_change(['preserve_domain'], this.update_domains, this);
        this.update_data();
    }
    update_data() {
        this.mark_data = {
            x: this.get('x'),
            y: this.get('y'),
        };
        this.update_domains();
        this.trigger('data_updated');
    }
    update_domains() {
        if (!this.mark_data) {
            return;
        }
        const scales = this.get('scales');
        const x_scale = scales.x;
        const y_scale = scales.y;
        if (x_scale) {
            if (!this.get('preserve_domain').x) {
                x_scale.compute_and_set_domain(this.mark_data['x'], this.model_id + '_x');
            }
            else {
                x_scale.del_domain([], this.model_id + '_x');
            }
        }
        if (y_scale) {
            if (!this.get('preserve_domain').y) {
                y_scale.compute_and_set_domain(this.mark_data['y'], this.model_id + '_y');
            }
            else {
                y_scale.del_domain([], this.model_id + '_y');
            }
        }
    }
}
exports.ImageModel = ImageModel;
ImageModel.serializers = Object.assign(Object.assign({}, MarkModel_1.MarkModel.serializers), { image: { deserialize: widgets.unpack_models }, x: serialize.array_or_json_serializer, y: serialize.array_or_json_serializer });
//# sourceMappingURL=ImageModel.js.map