"use strict";
/* Copyright 2015 Bloomberg Finance L.P.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Interaction = void 0;
const widgets = __importStar(require("@jupyter-widgets/base"));
const d3 = __importStar(require("d3"));
// var d3 =Object.assign({}, require("d3-selection"));
const _ = __importStar(require("underscore"));
class Interaction extends widgets.WidgetView {
    initialize(parameters) {
        this.setElement(document.createElementNS(d3.namespaces.svg, 'rect'));
        this.d3el = d3.select(this.el);
        super.initialize.call(this, parameters);
    }
    render() {
        this.parent = this.options.parent;
        // Opaque interaction layer
        this.d3el
            .attr('x', 0)
            .attr('y', 0)
            .attr('width', this.parent.width - this.parent.margin.left - this.parent.margin.right)
            .attr('height', this.parent.height - this.parent.margin.top - this.parent.margin.bottom)
            .attr('pointer-events', 'all')
            .attr('visibility', 'hidden');
        this.listenTo(this.parent, 'margin_updated', this.relayout);
    }
    relayout() {
        // Called when the figure margins are updated.
        this.d3el
            .attr('width', this.parent.width - this.parent.margin.left - this.parent.margin.right)
            .attr('height', this.parent.height - this.parent.margin.top - this.parent.margin.bottom);
    }
    remove() {
        _.each(this.mark_views, (mark) => {
            mark.invert_range();
        });
        this.d3el.remove();
        super.remove.apply(this);
    }
}
exports.Interaction = Interaction;
//# sourceMappingURL=Interaction.js.map