import * as d3 from 'd3';
import * as d3Shape from 'd3-shape';
import { Mark } from './Mark';
import { LinesModel } from './LinesModel';
import { BaseSelector } from './Selector';
import { SelectorModel } from './SelectorModel';
export declare class Lines extends Mark {
    render(): Promise<void>;
    set_ranges(): void;
    set_positional_scales(): void;
    initialize_additional_scales(): void;
    create_listeners(): void;
    update_legend_labels(): void;
    update_labels(): void;
    get_line_style(): string;
    update_line_style(): void;
    update_stroke_width(model: any, strokeWidth: any): void;
    update_style(): void;
    path_closure(): string;
    update_path_style(): void;
    relayout(): void;
    selector_changed(pointSelector: any, rectSelector: any): [];
    invert_point(pixel: any): void;
    update_multi_range(brushExtent: any): void;
    draw_legend(elem: any, xDisp: any, yDisp: any, interXDisp: any, interYDisp: number): number[];
    update_curves_subset(): void;
    update_fill(): void;
    get_fill_color(data: any, index: any): string;
    update_line_xy(animate: any): void;
    get_interpolation(): d3Shape.CurveFactory;
    draw(animate: any): void;
    draw_dots(): void;
    update_dots_xy(animate: any): void;
    compute_view_padding(): void;
    update_marker_style(): void;
    update_marker(model: any, marker: any): void;
    update_marker_size(model: any, markerSize: any): void;
    clear_style(style_dict: any, indices?: any): void;
    set_default_style(indices: any): void;
    set_style_on_elements(style: any, indices: any): void;
    dot: any;
    legendEl: d3.Selection<any, any, any, any>;
    legendLine: d3.Line<[number, number]>;
    legendPathData: [number, number][];
    selector: BaseSelector;
    selectorModel: SelectorModel;
    area: d3.Area<[number, number]>;
    line: d3.Line<[number, number]>;
    xPixels: number[];
    yPixels: number[];
    pixelCoords: number[];
    model: LinesModel;
}
