"use strict";
/* Copyright 2015 Bloomberg Finance L.P.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.LogScaleModel = void 0;
const LinearScaleModel_1 = require("./LinearScaleModel");
class LogScaleModel extends LinearScaleModel_1.LinearScaleModel {
    defaults() {
        return Object.assign(Object.assign({}, LinearScaleModel_1.LinearScaleModel.prototype.defaults()), { _model_name: 'LogScaleModel', _view_name: 'LogScale', domain: [] });
    }
    set_init_state() {
        this.type = 'log';
        this.global_min = Number.MIN_VALUE;
        this.global_max = Number.POSITIVE_INFINITY;
    }
}
exports.LogScaleModel = LogScaleModel;
//# sourceMappingURL=LogScaleModel.js.map