import { MarkModel } from './MarkModel';
export declare type OHLCData = number[][];
export declare class OHLCModel extends MarkModel {
    defaults(): {
        _model_name: string;
        _view_name: string;
        x: any[];
        y: any[];
        scales_metadata: {
            x: {
                orientation: string;
                dimension: string;
            };
            y: {
                orientation: string;
                dimension: string;
            };
        };
        marker: string;
        stroke: any;
        stroke_width: number;
        colors: string[];
        opacities: any[];
        format: string;
        _model_module: string;
        _view_module: string;
        _model_module_version: string;
        _view_module_version: string;
        scales: {};
        preserve_domain: {};
        display_legend: boolean;
        labels: any[];
        apply_clip: boolean;
        visible: boolean;
        selected_style: {};
        unselected_style: {};
        selected: any;
        enable_hover: boolean;
        tooltip: any;
        tooltip_style: {
            opacity: number;
        };
        interactions: {
            hover: string;
        };
        tooltip_location: string;
    };
    initialize(attributes: any, options: any): void;
    private updateFormat;
    update_data(): void;
    update_domains(): void;
    get_data_dict(data: any, index: any): {
        index: any;
        x: any;
    };
    static serializers: {
        x: {
            deserialize: (data: any, manager: any) => any;
            serialize: (data: any, manager: any) => any;
        };
        y: {
            deserialize: (data: any, manager: any) => any;
            serialize: (data: any, manager: any) => any;
        };
        scales: {
            deserialize: typeof import("@jupyter-widgets/base").unpack_models;
        };
        tooltip: {
            deserialize: typeof import("@jupyter-widgets/base").unpack_models;
        };
        selected: {
            deserialize: (data: any, manager: any) => any;
            serialize: (data: any, manager: any) => any;
        };
    };
    px: {
        o: number;
        h: number;
        l: number;
        c: number;
    };
    mark_data: OHLCData;
}
