"use strict";
/* Copyright 2015 Bloomberg Finance L.P.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.PanZoomModel = void 0;
const widgets = __importStar(require("@jupyter-widgets/base"));
const version_1 = require("./version");
const _ = __importStar(require("underscore"));
class PanZoomModel extends widgets.WidgetModel {
    defaults() {
        return Object.assign(Object.assign({}, widgets.WidgetModel.prototype.defaults()), { _model_name: 'PanZoomModel', _view_name: 'PanZoom', _model_module: 'bqplot', _view_module: 'bqplot', _model_module_version: version_1.semver_range, _view_module_version: version_1.semver_range, scales: {}, allow_pan: true, allow_zoom: true });
    }
    initialize(attributes, options) {
        super.initialize(attributes, options);
        this.on('change:scales', this.snapshot_scales, this);
        this.snapshot_scales();
    }
    reset_scales() {
        widgets.resolvePromisesDict(this.get('scales')).then((scales) => {
            _.each(Object.keys(scales), (k) => {
                _.each(scales[k], (s, i) => {
                    s.set_state(this.scales_states[k][i]);
                }, this);
            }, this);
        });
    }
    snapshot_scales() {
        // Save the state of the scales.
        widgets.resolvePromisesDict(this.get('scales')).then((scales) => {
            this.scales_states = Object.keys(scales).reduce((obj, key) => {
                obj[key] = scales[key].map((s) => {
                    return s.get_state();
                });
                return obj;
            }, {});
        });
    }
}
exports.PanZoomModel = PanZoomModel;
PanZoomModel.serializers = Object.assign(Object.assign({}, widgets.WidgetModel.serializers), { scales: { deserialize: widgets.unpack_models } });
//# sourceMappingURL=PanZoomModel.js.map