import { MarkModel } from './MarkModel';
export interface Slice {
    size: number;
    color: number;
    label: string;
    index: number;
}
export declare class PieModel extends MarkModel {
    defaults(): {
        _model_name: string;
        _view_name: string;
        sizes: any[];
        labels: any[];
        color: any;
        x: number;
        y: number;
        scales_metadata: {
            color: {
                dimension: string;
            };
        };
        sort: boolean;
        colors: string[];
        stroke: any;
        opacities: any[];
        radius: number;
        inner_radius: number;
        start_angle: number;
        end_angle: number;
        display_labels: string;
        display_values: boolean;
        values_format: string;
        label_color: any;
        font_size: string;
        font_weight: string;
        _model_module: string;
        _view_module: string;
        _model_module_version: string;
        _view_module_version: string;
        scales: {};
        preserve_domain: {};
        display_legend: boolean;
        apply_clip: boolean;
        visible: boolean;
        selected_style: {};
        unselected_style: {};
        selected: any;
        enable_hover: boolean;
        tooltip: any;
        tooltip_style: {
            opacity: number;
        };
        interactions: {
            hover: string;
        };
        tooltip_location: string;
    };
    initialize(attributes: any, options: any): void;
    update_data(): void;
    private updateLabels;
    private updateColor;
    update_domains(): void;
    get_data_dict(data: any, index: any): any;
    static serializers: {
        sizes: {
            deserialize: (data: any, manager: any) => any;
            serialize: (data: any, manager: any) => any;
        };
        color: {
            deserialize: (data: any, manager: any) => any;
            serialize: (data: any, manager: any) => any;
        };
        scales: {
            deserialize: typeof import("@jupyter-widgets/base").unpack_models;
        };
        tooltip: {
            deserialize: typeof import("@jupyter-widgets/base").unpack_models;
        };
        selected: {
            deserialize: (data: any, manager: any) => any;
            serialize: (data: any, manager: any) => any;
        };
    };
    mark_data: Slice[];
}
