"use strict";
/* Copyright 2015 Bloomberg Finance L.P.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Scale = void 0;
const widgets = __importStar(require("@jupyter-widgets/base"));
class Scale extends widgets.WidgetView {
    render() {
        this.offset = 0;
    }
    create_event_listeners() {
        this.listenTo(this.model, 'domain_changed', this.model_domain_changed);
        this.listenTo(this.model, 'highlight_axis', this.highlight_axis);
        this.listenTo(this.model, 'unhighlight_axis', this.unhighlight_axis);
    }
    set_range(range, padding) {
        this.scale.range(range);
    }
    compute_and_set_domain(array, id) {
        this.model.compute_and_set_domain(array, id);
    }
    set_domain(array, id) {
        this.model.set_domain(array, id);
    }
    model_domain_changed() {
        this.scale.domain(this.model.domain);
        this.trigger('domain_changed');
    }
    highlight_axis() {
        this.trigger('highlight_axis');
    }
    unhighlight_axis() {
        this.trigger('unhighlight_axis');
    }
    expand_domain(old_range, new_range) {
        // Base class function. No implementation.
        // Implementation is particular to the child class
        // if you have a current range and then a new range and want to
        // expand the domain to expand to the new range but keep it
        // consistent with the previous one, this is the function you use.
    }
}
exports.Scale = Scale;
//# sourceMappingURL=Scale.js.map