import { MarkModel } from './MarkModel';
export declare class ScatterBaseModel extends MarkModel {
    defaults(): {
        _model_name: string;
        _view_name: string;
        x: any[];
        y: any[];
        color: any;
        opacity: any;
        size: any;
        rotation: any;
        hovered_point: any;
        scales_metadata: {
            x: {
                orientation: string;
                dimension: string;
            };
            y: {
                orientation: string;
                dimension: string;
            };
            color: {
                dimension: string;
            };
            size: {
                dimension: string;
            };
            opacity: {
                dimension: string;
            };
            rotation: {
                dimension: string;
            };
        };
        label_display_horizontal_offset: any;
        label_display_vertical_offset: any;
        hovered_style: {};
        unhovered_style: {};
        colors: string[];
        opacities: number[];
        enable_move: boolean;
        enable_delete: boolean;
        restrict_x: boolean;
        restrict_y: boolean;
        update_on_move: boolean;
        _model_module: string;
        _view_module: string;
        _model_module_version: string;
        _view_module_version: string;
        scales: {};
        preserve_domain: {};
        display_legend: boolean;
        labels: any[];
        apply_clip: boolean;
        visible: boolean;
        selected_style: {};
        unselected_style: {};
        selected: any;
        enable_hover: boolean;
        tooltip: any;
        tooltip_style: {
            opacity: number;
        };
        interactions: {
            hover: string;
        };
        tooltip_location: string;
    };
    initialize(attributes: any, options: any): void;
    update_mark_data(): void;
    update_data(): void;
    update_unique_ids(): void;
    get_data_dict(data: any, index: any): any;
    update_domains(): void;
    static serializers: {
        x: {
            deserialize: (data: any, manager: any) => any;
            serialize: (data: any, manager: any) => any;
        };
        y: {
            deserialize: (data: any, manager: any) => any;
            serialize: (data: any, manager: any) => any;
        };
        color: {
            deserialize: (data: any, manager: any) => any;
            serialize: (data: any, manager: any) => any;
        };
        opacity: {
            deserialize: (data: any, manager: any) => any;
            serialize: (data: any, manager: any) => any;
        };
        size: {
            deserialize: (data: any, manager: any) => any;
            serialize: (data: any, manager: any) => any;
        };
        rotation: {
            deserialize: (data: any, manager: any) => any;
            serialize: (data: any, manager: any) => any;
        };
        opacities: {
            deserialize: (data: any, manager: any) => any;
            serialize: (data: any, manager: any) => any;
        };
        scales: {
            deserialize: typeof import("@jupyter-widgets/base").unpack_models;
        };
        tooltip: {
            deserialize: typeof import("@jupyter-widgets/base").unpack_models;
        };
        selected: {
            deserialize: (data: any, manager: any) => any;
            serialize: (data: any, manager: any) => any;
        };
    };
}
