"use strict";
/* Copyright 2015 Bloomberg Finance L.P.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ScatterGLModel = void 0;
const MarkModel_1 = require("./MarkModel");
const serialize = __importStar(require("./serialize"));
class ScatterGLModel extends MarkModel_1.MarkModel {
    defaults() {
        return Object.assign(Object.assign({}, MarkModel_1.MarkModel.prototype.defaults()), { _model_name: 'ScatterGLModel', _view_name: 'ScatterGL', x: [], y: [], color: null, skew: null, marker: 'circle', stroke: null, stroke_width: 1.5, default_skew: 0.5, default_size: 64, names: [], display_names: true, fill: true, drag_color: null, drag_size: 5.0, names_unique: true });
    }
    initialize(attributes, options) {
        super.initialize(attributes, options);
        this.update_domains();
    }
    update_domains() {
        // color scale needs an issue in DateScaleModel to be fixed. It
        // should be moved here as soon as that is fixed.
        const scales = this.get('scales');
        for (const key in scales) {
            if (scales.hasOwnProperty(key) && key != 'color') {
                const scale = scales[key];
                if (!this.get('preserve_domain')[key]) {
                    scale.compute_and_set_domain(this.get(key), this.model_id + key);
                }
                else {
                    scale.del_domain([], this.model_id + key);
                }
            }
        }
    }
}
exports.ScatterGLModel = ScatterGLModel;
ScatterGLModel.serializers = Object.assign(Object.assign({}, MarkModel_1.MarkModel.serializers), { x: serialize.array_or_json_serializer, y: serialize.array_or_json_serializer, color: serialize.array_or_json_serializer, size: serialize.array_or_json_serializer, rotation: serialize.array_or_json_serializer, opacity: serialize.array_or_json_serializer, opacities: serialize.array_or_json_serializer });
//# sourceMappingURL=ScatterGLModel.js.map