import { WidgetModel, unpack_models } from '@jupyter-widgets/base';
export declare class SelectorModel extends WidgetModel {
    defaults(): {
        _model_name: string;
        _model_module: string;
        _view_module: string;
        _model_module_version: string;
        _view_module_version: string;
        marks: any[];
    };
    static serializers: {
        marks: {
            deserialize: typeof unpack_models;
        };
    };
}
export declare class OneDSelectorModel extends SelectorModel {
    defaults(): {
        _model_name: string;
        scale: any;
        _model_module: string;
        _view_module: string;
        _model_module_version: string;
        _view_module_version: string;
        marks: any[];
    };
    static serializers: {
        scale: {
            deserialize: typeof unpack_models;
        };
        marks: {
            deserialize: typeof unpack_models;
        };
    };
}
export declare class TwoDSelectorModel extends SelectorModel {
    defaults(): {
        _model_name: string;
        x_scale: any;
        y_scale: any;
        _model_module: string;
        _view_module: string;
        _model_module_version: string;
        _view_module_version: string;
        marks: any[];
    };
    static serializers: {
        x_scale: {
            deserialize: typeof unpack_models;
        };
        y_scale: {
            deserialize: typeof unpack_models;
        };
        marks: {
            deserialize: typeof unpack_models;
        };
    };
}
export declare class FastIntervalSelectorModel extends OneDSelectorModel {
    defaults(): {
        _model_name: string;
        _view_name: string;
        selected: any;
        color: any;
        size: any;
        scale: any;
        _model_module: string;
        _view_module: string;
        _model_module_version: string;
        _view_module_version: string;
        marks: any[];
    };
    static serializers: {
        selected: {
            deserialize: (data: any, manager: any) => any;
            serialize: (data: any, manager: any) => any;
        };
        scale: {
            deserialize: typeof unpack_models;
        };
        marks: {
            deserialize: typeof unpack_models;
        };
    };
}
export declare class IndexSelectorModel extends OneDSelectorModel {
    defaults(): {
        _model_name: string;
        _view_name: string;
        selected: any;
        line_width: number;
        color: any;
        scale: any;
        _model_module: string;
        _view_module: string;
        _model_module_version: string;
        _view_module_version: string;
        marks: any[];
    };
    static serializers: {
        selected: {
            deserialize: (data: any, manager: any) => any;
            serialize: (data: any, manager: any) => any;
        };
        scale: {
            deserialize: typeof unpack_models;
        };
        marks: {
            deserialize: typeof unpack_models;
        };
    };
}
export declare class BrushIntervalSelectorModel extends OneDSelectorModel {
    defaults(): {
        _model_name: string;
        _view_name: string;
        brushing: boolean;
        selected: any;
        color: any;
        orientation: string;
        scale: any;
        _model_module: string;
        _view_module: string;
        _model_module_version: string;
        _view_module_version: string;
        marks: any[];
    };
    static serializers: {
        selected: {
            deserialize: (data: any, manager: any) => any;
            serialize: (data: any, manager: any) => any;
        };
        scale: {
            deserialize: typeof unpack_models;
        };
        marks: {
            deserialize: typeof unpack_models;
        };
    };
}
export declare class BrushSelectorModel extends TwoDSelectorModel {
    defaults(): {
        _model_name: string;
        _view_name: string;
        clear: boolean;
        brushing: boolean;
        selected_x: any;
        selected_y: any;
        color: any;
        x_scale: any;
        y_scale: any;
        _model_module: string;
        _view_module: string;
        _model_module_version: string;
        _view_module_version: string;
        marks: any[];
    };
    static serializers: {
        selected_x: {
            deserialize: (data: any, manager: any) => any;
            serialize: (data: any, manager: any) => any;
        };
        selected_y: {
            deserialize: (data: any, manager: any) => any;
            serialize: (data: any, manager: any) => any;
        };
        x_scale: {
            deserialize: typeof unpack_models;
        };
        y_scale: {
            deserialize: typeof unpack_models;
        };
        marks: {
            deserialize: typeof unpack_models;
        };
    };
}
export declare class MultiSelectorModel extends OneDSelectorModel {
    defaults(): {
        _model_name: string;
        _view_name: string;
        names: any[];
        brushing: boolean;
        selected: {};
        _selected: {};
        show_names: boolean;
        scale: any;
        _model_module: string;
        _view_module: string;
        _model_module_version: string;
        _view_module_version: string;
        marks: any[];
    };
}
export declare class LassoSelectorModel extends TwoDSelectorModel {
    defaults(): {
        _model_name: string;
        _view_name: string;
        color: any;
        x_scale: any;
        y_scale: any;
        _model_module: string;
        _view_module: string;
        _model_module_version: string;
        _view_module_version: string;
        marks: any[];
    };
}
