"use strict";
/* Copyright 2015 Bloomberg Finance L.P.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.LassoSelectorModel = exports.MultiSelectorModel = exports.BrushSelectorModel = exports.BrushIntervalSelectorModel = exports.IndexSelectorModel = exports.FastIntervalSelectorModel = exports.TwoDSelectorModel = exports.OneDSelectorModel = exports.SelectorModel = void 0;
const base_1 = require("@jupyter-widgets/base");
const version_1 = require("./version");
const serialize = __importStar(require("./serialize"));
class SelectorModel extends base_1.WidgetModel {
    defaults() {
        return Object.assign(Object.assign({}, base_1.WidgetModel.prototype.defaults()), { _model_name: 'SelectorModel', _model_module: 'bqplot', _view_module: 'bqplot', _model_module_version: version_1.semver_range, _view_module_version: version_1.semver_range, marks: [] });
    }
}
exports.SelectorModel = SelectorModel;
SelectorModel.serializers = Object.assign(Object.assign({}, base_1.WidgetModel.serializers), { marks: { deserialize: base_1.unpack_models } });
class OneDSelectorModel extends SelectorModel {
    defaults() {
        return Object.assign(Object.assign({}, SelectorModel.prototype.defaults()), { _model_name: 'OneDSelectorModel', scale: null });
    }
}
exports.OneDSelectorModel = OneDSelectorModel;
OneDSelectorModel.serializers = Object.assign(Object.assign({}, SelectorModel.serializers), { scale: { deserialize: base_1.unpack_models } });
class TwoDSelectorModel extends SelectorModel {
    defaults() {
        return Object.assign(Object.assign({}, SelectorModel.prototype.defaults()), { _model_name: 'TwoDSelectorModel', x_scale: null, y_scale: null });
    }
}
exports.TwoDSelectorModel = TwoDSelectorModel;
TwoDSelectorModel.serializers = Object.assign(Object.assign({}, SelectorModel.serializers), { x_scale: { deserialize: base_1.unpack_models }, y_scale: { deserialize: base_1.unpack_models } });
class FastIntervalSelectorModel extends OneDSelectorModel {
    defaults() {
        return Object.assign(Object.assign({}, OneDSelectorModel.prototype.defaults()), { _model_name: 'FastIntervalSelectorModel', _view_name: 'FastIntervalSelector', selected: null, color: null, size: null });
    }
}
exports.FastIntervalSelectorModel = FastIntervalSelectorModel;
FastIntervalSelectorModel.serializers = Object.assign(Object.assign({}, OneDSelectorModel.serializers), { selected: serialize.array_or_json_serializer });
class IndexSelectorModel extends OneDSelectorModel {
    defaults() {
        return Object.assign(Object.assign({}, OneDSelectorModel.prototype.defaults()), { _model_name: 'IndexSelectorModel', _view_name: 'IndexSelector', selected: null, line_width: 2, color: null });
    }
}
exports.IndexSelectorModel = IndexSelectorModel;
IndexSelectorModel.serializers = Object.assign(Object.assign({}, OneDSelectorModel.serializers), { selected: serialize.array_or_json_serializer });
class BrushIntervalSelectorModel extends OneDSelectorModel {
    defaults() {
        return Object.assign(Object.assign({}, OneDSelectorModel.prototype.defaults()), { _model_name: 'BrushIntervalSelectorModel', _view_name: 'BrushIntervalSelector', brushing: false, selected: null, color: null, orientation: 'horizontal' });
    }
}
exports.BrushIntervalSelectorModel = BrushIntervalSelectorModel;
BrushIntervalSelectorModel.serializers = Object.assign(Object.assign({}, OneDSelectorModel.serializers), { selected: serialize.array_or_json_serializer });
class BrushSelectorModel extends TwoDSelectorModel {
    defaults() {
        return Object.assign(Object.assign({}, TwoDSelectorModel.prototype.defaults()), { _model_name: 'BrushSelectorModel', _view_name: 'BrushSelector', clear: false, brushing: false, selected_x: null, selected_y: null, color: null });
    }
}
exports.BrushSelectorModel = BrushSelectorModel;
BrushSelectorModel.serializers = Object.assign(Object.assign({}, TwoDSelectorModel.serializers), { selected_x: serialize.array_or_json_serializer, selected_y: serialize.array_or_json_serializer });
class MultiSelectorModel extends OneDSelectorModel {
    defaults() {
        return Object.assign(Object.assign({}, OneDSelectorModel.prototype.defaults()), { _model_name: 'MultiSelectorModel', _view_name: 'MultiSelector', names: [], brushing: false, selected: {}, _selected: {}, show_names: true });
    }
}
exports.MultiSelectorModel = MultiSelectorModel;
class LassoSelectorModel extends TwoDSelectorModel {
    defaults() {
        return Object.assign(Object.assign({}, TwoDSelectorModel.prototype.defaults()), { _model_name: 'LassoSelectorModel', _view_name: 'LassoSelector', color: null });
    }
}
exports.LassoSelectorModel = LassoSelectorModel;
//# sourceMappingURL=SelectorModel.js.map